


/*========================  Pop up  =======================================*/
.show-hide {
    display: none;
}
.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.7);
  transition: opacity 500ms;
  visibility: visible;
  z-index: 99999999;
}

#pop_alert {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    display: block ruby;
}

.popup {
  margin: 5% auto;
  padding: 1.7%;
  background: #fff;
  border-radius: 15px;
  width: 40%;
  text-align: center;
  transition: all 5s ease-in-out;
  position: relative;
margin: 0 auto;
top: 25%;
vertical-align: middle;
}

.coverPop{
    margin: 5% auto;
    padding: 1.7%;
    background: #fff;
    border-radius: 15px;
    width: 89%;
    text-align: center;
    transition: all 5s ease-in-out;
}

._pop_button{
  color: #0f73ee;
  border: none;
  background: transparent;
  font-weight: 700;
  font-size: 20px;
  /*margin: -8px 0 -5px 0;*/
}

.popup h2 {
  margin-top: 0;
  color: #333;
  font-family: Tahoma, Arial, sans-serif;
}
.popup .close {
  position: absolute;
  top: 20px;
  right: 30px;
  transition: all 200ms;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #333;
}
.popup .close:hover {
  color: #06D85F;
}
.popup .contentts {
  max-height: 30%;
  overflow: auto;
  color: black;
}

@media screen and (max-width: 700px){
  .box{
    width: 70%;
  }
}
@media screen and (min-width: 920px) {
  .popup{
    width: 40%;
  }
}
@media (min-width: 470px) and (max-width: 920px) {
  .popup{
    width: 60%;
  }
}
@media (min-width: 470px) and (max-width: 92px) {
  .popup{
    width: 60%;
  }
}

@media screen and (max-width: 470px){
  .popup{
    width: 90%;
    padding: 2em 1em;
  }
}


.insightoverlay {
    margin: 2% auto;
    padding: 1.7%;
    background: #fff;
    border-radius: 15px;
    width: 95%;
    text-align: center;
    transition: all 5s ease-in-out;
    height: auto;
}



.overlaysetting {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.7);
  transition: opacity 500ms;
  visibility: visible;
  z-index: 99999999;
}


.popupsetting {
    margin: 4% auto;
    padding: 1.7%;
    background: 
#15161b;
border-radius: 15px;
width: 70%;
text-align: center;
transition: all 5s ease-in-out;
border: 5px solid
    #aab8c2;
}

._pop_buttonsetting {
    color: 
#15161b;
border: none;
background:
    #ffc107;
    font-weight: 600;
    font-size: 20px;
    margin: 0px 0 -8px 0;
    padding: 5px 70px 7px 70px;
    border-radius: 2px;
}

.popupsetting h2 {
  margin-top: 0;
  color: #333;
  font-family: Tahoma, Arial, sans-serif;
}
.popupsetting .close {
  position: absolute;
  top: 20px;
  right: 30px;
  transition: all 200ms;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #333;
}
.popupsetting .close:hover {
  color: #06D85F;
}
.popupsetting .content {
 
  overflow: auto;
  color: black;
}

@media screen and (max-width: 700px){
  .box{
    width: 70%;
  }
}
@media screen and (max-width: 920px){

  .popupsetting{
    width: 90%;
  }
}



.error-popup {
    position: fixed;
    bottom: 4em;
    background: rgb(55, 55, 55);
    transition: opacity 500ms;
    visibility: visible;
    z-index: 99999999;
    width: 50%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    left: 0;
    right: 0;
    border-radius: 3em;
    padding: 9px 0 1px 0;
    box-shadow: 0px 0px 2px 1px #fff;
}
.error-popup h6 {
    color: white;
    font-size: 12px;
}








/*======================== Topt;tip pop up  =======================================*/


.label-text {
  margin-left: 0.5em;
}

.tooltip-toggle {
  cursor: pointer;
  position: relative;
}
.tooltip-toggle svg {
  height: 16px;
  width: 16px;
  margin-left: 8px;
}
.tooltip-toggle::before {
    position: absolute;
    top: 23px;
    left: -70px;
    background-color: #222;
    border-radius: 20px;
    color: #fff;
    content: attr(aria-label);
    padding: 1rem;
    text-transform: none;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
    width: 221px;
    z-index: 1;
}
.tooltip-toggle::after {
  position: absolute;
  top: -12px;
  left: 9px;
/*  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid #2B222A;*/
  content: " ";
  font-size: 0;
  line-height: 0;
  margin-left: -5px;
  width: 0;
}
.tooltip-toggle::before, .tooltip-toggle::after {
    color: #efefef;
    font-family: monospace;
    font-size: 15px;
    opacity: 0;
    pointer-events: none;
    text-align: center;
    line-height: 19px;
}
.tooltip-toggle:focus::before, .tooltip-toggle:focus::after, .tooltip-toggle:hover::before, .tooltip-toggle:hover::after {
  opacity: 1;
  -webkit-transition: all 0.75s ease;
  transition: all 0.75s ease;
}


/*========================Progress bar upload =======================================*/

/*=== progressBar CSS By David Porras ===*/


.box-lod {
  height: 150px;
  width: 150px;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  background: #020438;
  border-radius: 100%;
  overflow: hidden;
  margin: 7em 0em;
}
.percentB {
    font-size: 30px;
    font-weight: 700;
}
.percentNum {
    font-size: 30px;
    font-weight: 700;
}
.box-lod .percent {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 3;
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: flex;
  display: -webkit-flex;
  -webkit-box-align: center;
          align-items: center;
  -webkit-box-pack: center;
          justify-content: center;
  color: darkgreen;
  font-size: 64px;
}

.box-lod .water {
  position: absolute;
  left: 0;
  top: 0;
  z-index: 2;
  width: 100%;
  height: 100%;
  -webkit-transform: translate(0, 100%);
          transform: translate(0, 100%);
  /*background: #4D6DE3;*/
/*  background: blueviolet;*/
background: springgreen;
  -webkit-transition: all .3s;
  transition: all .3s;
}
.box-lod .water_wave {
  width: 200%;
  position: absolute;
  bottom: 100%;
}
.box-lod .water_wave_back {
  right: 0;
  /*fill: #C7EEFF;*/
  
  fill: #CAFFE4;
  -webkit-animation: wave-back 1.4s infinite linear;
          animation: wave-back 1.4s infinite linear;
}
.box-lod .water_wave_front {
  left: 0;
  fill: #00FF7F;
  /*fill: #4D6DE3;*/
  margin-bottom: -1px;
  -webkit-animation: wave-front .7s infinite linear;
          animation: wave-front .7s infinite linear;
}

@-webkit-keyframes wave-front {
  100% {
    -webkit-transform: translate(-50%, 0);
            transform: translate(-50%, 0);
  }
}

@keyframes wave-front {
  100% {
    -webkit-transform: translate(-50%, 0);
            transform: translate(-50%, 0);
  }
}
@-webkit-keyframes wave-back {
  100% {
    -webkit-transform: translate(50%, 0);
            transform: translate(50%, 0);
  }
}
@keyframes wave-back {
  100% {
    -webkit-transform: translate(50%, 0);
            transform: translate(50%, 0);
  }
}
/*
    .progress_outer {
        border: 1px solid #000;
    }
.progress {
    width: 60%;
    background: #FFF;
    height: 20px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 40px;
    height: 14px;
}
.progress-bar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    background-color: #ff084a;
    transition: width .6s ease;
    font-size: 9px;
}*/